package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.RelPustAd;
import org.apache.ibatis.annotations.Mapper;

/** 水闸行政信息关联 Mapper */
@Mapper
public interface RelPustAdMapper {
    /**
     * 查询水闸行政信息关联列表
     *
     * @param relPustAd 查询条件
     * @return 水闸行政信息关联列表
     */
    public List<RelPustAd> selectRelPustAdList(RelPustAd relPustAd);

    /**
     * 通过主键查询水闸行政信息关联
     *
     * @param relPustAd 查询条件
     * @return 水闸行政信息关联
     */
    public RelPustAd selectRelPustAdById(RelPustAd relPustAd);

    /**
     * 通过主键删除水闸行政信息关联
     *
     * @param relPustAd 删除条件
     * @return 影响行数
     */
    public int deleteRelPustAdById(RelPustAd relPustAd);

    /**
     * 修改水闸行政信息关联
     *
     * @param relPustAd 水闸行政信息关联
     * @return 影响行数
     */
    public int updateRelPustAd(RelPustAd relPustAd);

    /**
     * 新增水闸行政信息关联
     *
     * @param relPustAd 水闸行政信息关联
     * @return 影响行数
     */
    public int insertRelPustAd(RelPustAd relPustAd);
}
